문서 템플릿 수정
PATCH
/crm-core/v1/document-templates/:templateId
기존 문서 템플릿의 정보를 수정합니다. OWNER 권한이 필요합니다.
:templateId템플릿 고유 아이디
Body Params
| 이름 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
name | String | - | 템플릿 이름 |
description | String | - | 템플릿 설명 |
content | Object | - | 템플릿 내용 (TipTap JSON 형식) |
variables | Array<object> | - | 템플릿 변수 목록 |
linkedTableConfigs | Array<object> | - | 연결 테이블 설정 목록 |
Response
| 이름 | 타입 | 반드시 반환 | 설명 |
|---|---|---|---|
templateId | String | O | 템플릿 고유 아이디 |
accountId | String | O | 계정 고유 아이디 |
documentTypeId | String | - | 문서 유형 ID |
name | String | O | 템플릿 이름 |
description | String | - | 템플릿 설명 |
content | Object | - | 템플릿 내용 |
variables | Array<object> | - | 템플릿 변수 목록 |
linkedTableConfigs | Array<object> | - | 연결 테이블 설정 |
dateCreated | Date | O | 최초 생성 날짜 |
dateUpdated | Date | O | 최근 수정 날짜 |